pkgsrc-Changes archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: CVS commit: pkgsrc/devel/ncurses

On Thu, Feb 25, 2010 at 11:34:58AM +0100, Matthias Drochner wrote:
> said:
> > ERROR: ncurses>=5.3nb1 is not installed; can't buildlink files.
> This usually happens if a dependency propagates a bl3
> file for something it doesn't depend on itself.
> For me (on -current) neither mutt nor tin have dependencies
> which are suspected to do so.
> Can you show some earlier lines of your build log, where
> dependencies are listed? Do you have any options set?

Sorry, I forgot mentioning this, I'm enabling the wide curses option
by default. I.e.:
PKG_DEFAULT_OPTIONS=    ncursesw wide-curses
PKG_OPTIONS.lynx=       ncursesw
PKG_OPTIONS.mutt=       mutt-hcache ncursesw

In particular, for mutt-devel this becomes:
These options are enabled by default:
        curses smime ssl

These options are currently enabled:
        mutt-hcache ncursesw smime ssl

All three of tin, mutt-devel, lynx fail. Perhaps they just need better
wide curses options support...

Home | Main Index | Thread Index | Old Index